﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Seminar05_Mi
{
    class Datenreihe
    {
        string titel;
        List<XY> daten = new List<XY>();

        double minX = double.MaxValue;
        double maxX = double.MinValue;
        double minY = double.MaxValue;
        double maxY = double.MinValue;

        public double MinX { get { return minX; } }
        public double MaxX { get { return maxX; } }
        public double MinY { get { return minY; } }
        public double MaxY { get { return maxY; } }

        public int Count { get { return daten.Count; } }
        public double GetX(int i)
        {
            XY xy = daten[i];
            return xy.X;
        }
        public double GetY(int i)
        {
            XY xy = daten[i];
            return xy.Y;
        }
        class XY
        {
            double x;
            double y;

            public XY(double x, double y)
            {
                this.x = x;
                this.y = y;
            }

            public double X { get { return x; } }
            public double Y { get { return y; } }
        }

        public Datenreihe(string dateiname)
        {
            // TODO: Exceptions

            StreamReader sr = new StreamReader(dateiname);
            titel = sr.ReadLine();
            while (!sr.EndOfStream)
            {
                string zeile = sr.ReadLine();
                string[] p = zeile.Split(';');
                double x = double.Parse(p[0]);
                if (x < minX)
                {
                    minX = x;
                }
                if (x > maxX)
                {
                    maxX = x;
                }
                double y = double.Parse(p[1]);
                if (y < minY)
                {
                    minY = y;
                }
                if (y > maxY)
                {
                    maxY = y;
                }
                daten.Add(new XY(x, y));
            }
            sr.Close();

            daten = daten.OrderBy(p => p.X).ToList();
        }
    }
}
